Skip to main content

Get all resident insurance

GEThttps://api.propexo.com/v1/resident-insurance/

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100
resident_id string

The Propexo unique identifier for the resident

unit_id string

The Propexo unique identifier for the unit

lease_id string

The Propexo unique identifier for the lease

property_id string

The Propexo unique identifier for the property

integration_id string

The Propexo unique identifier for the integration

integration_vendor string

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the resident insurance

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    Important

    If a policy covers multiple residents, the insured resident's ID is appended to the policy's ID to keep each record unique.

    Method
    leases/getRentersInsurancePolicies
    Example: cmgjprasu79183794374e2j2nyufuhmy
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    Method
    leases/getRentersInsurancePolicies
    Example: cmgjprasu79183794376g4l4pawhwjoa
    x_location_idnullrequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    Notice

    This field will always be null for ENTRATA

    Example: null
    x_unit_idstring | nullnullablerequired

    The external ID of the unit from the integration vendor

    Method
    leases/getRentersInsurancePolicies
    Example: cmgjprasu79183794378i6n6rcyjylqc
    x_lease_idstring | nullnullablerequired

    The external ID of the lease from the integration vendor

    Method
    leases/getRentersInsurancePolicies
    Example: cmgjprasu79183794375f3k3ozvgvinz
    x_resident_idstring | nullnullablerequired

    The external ID of the resident from the integration vendor

    Important

    This is the x_id of the insured resident on the policy.

    Method
    leases/getRentersInsurancePolicies
    Example: cmgjprasu79183794377h5m5qbxixkpb
    providerstring | nullnullablerequired

    The insurance provider name

    Method
    leases/getRentersInsurancePolicies
    Example: State Farm
    insurance_typestring | nullnullablerequired

    The type of insurance

    Method
    leases/getRentersInsurancePolicies
    Example: RENTERS
    policy_numberstring | nullnullablerequired

    The insurance policy number

    Method
    leases/getRentersInsurancePolicies
    Example: PLCY-1234567
    effective_datestring | nullnullablerequired

    The date the insurance becomes effective

    Method
    leases/getRentersInsurancePolicies
    Example: 2025-06-01T00:00:00.000Z
    expiration_datestring | nullnullablerequired

    The date the insurance expires

    Method
    leases/getRentersInsurancePolicies
    Example: 2026-06-01T00:00:00.000Z
    cancellation_datenullrequired

    The date the insurance was cancelled

    Notice

    This field will always be null for ENTRATA

    Example: null
    liability_amount_in_centsnumber | nullnullablerequired

    The liability amount in cents

    Method
    leases/getRentersInsurancePolicies
    Example: 10000000
    liability_amount_rawstring | nullnullablerequired

    The raw liability amount string

    Method
    leases/getRentersInsurancePolicies
    Example: 100000
    notesnullrequired

    Additional notes about the insurance

    Notice

    This field will always be null for ENTRATA

    Example: null
    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum15required

    The property management system of record

    Show 13 enum values
    ENTRATAAPPFOLIOBUILDIUMMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST
    Example: ENTRATA
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
    unit_idstring | nullnullablerequired

    The Propexo unique identifier for the unit

    Method
    leases/getRentersInsurancePolicies
    Example: cmgjprasu79183794373d1i1mxtetglx
    lease_idstring | nullnullablerequired

    The Propexo unique identifier for the lease

    Method
    leases/getRentersInsurancePolicies
    Example: cmgjprasu79183794371b9g9kvrcrejv
    resident_idstring | nullnullablerequired

    The Propexo unique identifier for the resident

    Important

    This is the ID of the insured resident on the policy. If a policy covers multiple residents, a record is saved for each insured resident.

    Method
    leases/getRentersInsurancePolicies
    Example: cmgjprasu79183794372c0h0lwsdsfkw
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/resident-insurance/
curl https://api.propexo.com/v1/resident-insurance/ \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "cmgjprasu79183794374e2j2nyufuhmy",
"x_property_id": "cmgjprasu79183794376g4l4pawhwjoa",
"x_location_id": null,
"x_unit_id": "cmgjprasu79183794378i6n6rcyjylqc",
"x_lease_id": "cmgjprasu79183794375f3k3ozvgvinz",
"x_resident_id": "cmgjprasu79183794377h5m5qbxixkpb",
"provider": "State Farm",
"insurance_type": "RENTERS",
"policy_number": "PLCY-1234567",
"effective_date": "2025-06-01T00:00:00.000Z",
"expiration_date": "2026-06-01T00:00:00.000Z",
"cancellation_date": null,
"liability_amount_in_cents": 10000000,
"liability_amount_raw": "100000",
"notes": null,
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "ENTRATA",
"property_id": "clwi5xiix000008l6ctdgafyh",
"unit_id": "cmgjprasu79183794373d1i1mxtetglx",
"lease_id": "cmgjprasu79183794371b9g9kvrcrejv",
"resident_id": "cmgjprasu79183794372c0h0lwsdsfkw"
}
]
}